Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 392189 (CVE-2011-4317) - <www-servers/apache-2.2.22 mod_proxy Reverse Proxy Mode Security Bypass Weakness (CVE-2011-4317)
Summary: <www-servers/apache-2.2.22 mod_proxy Reverse Proxy Mode Security Bypass Weakn...
Status: RESOLVED FIXED
Alias: CVE-2011-4317
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/46987/
Whiteboard: B4 [glsa]
Keywords:
Depends on: 401761
Blocks:
  Show dependency tree
 
Reported: 2011-11-27 11:41 UTC by Agostino Sarubbo
Modified: 2012-06-24 14:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2011-11-27 11:41:33 UTC
From secunia security advisory at $URL:

Description:
The weakness is caused due to the mod_proxy module, when configured in reverse proxy mode, incorrectly processing certain web requests. This can be exploited to send requests to an unintended server behind the proxy via a specially crafted URL.

This is caused due to an incomplete fix for:
https://secunia.com/SA46288/
https://bugs.gentoo.org/show_bug.cgi?id=385859

Solution:
There is no patch atm.
Edit reverse proxy rules.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2011-12-13 00:18:04 UTC
CVE-2011-4317 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-4317):
  The mod_proxy module in the Apache HTTP Server 1.3.x through 1.3.42, 2.0.x
  through 2.0.64, and 2.2.x through 2.2.21, when the Revision 1179239 patch is
  in place, does not properly interact with use of (1) RewriteRule and (2)
  ProxyPassMatch pattern matches for configuration of a reverse proxy, which
  allows remote attackers to send requests to intranet servers via a malformed
  URI containing an @ (at sign) character and a : (colon) character in invalid
  positions.  NOTE: this vulnerability exists because of an incomplete fix for
  CVE-2011-3368.
Comment 2 Sean Amoss gentoo-dev Security 2012-04-18 00:02:04 UTC
Added to existing GLSA request.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2012-06-24 14:29:21 UTC
This issue was resolved and addressed in
 GLSA 201206-25 at http://security.gentoo.org/glsa/glsa-201206-25.xml
by GLSA coordinator Tobias Heinlein (keytoaster).